<ng-container *ngIf="userProfile">
  <div class="f-form f-form-large">
    <form [formGroup]="eDeliveryForm">
      <div class="form-w-line">
        <span class="info-text" [innerHTML]="'app.main.form.info' | translate"></span>
      </div>

      <div class="form-w-line eui-u-mt-s">
        <div class="form-comp-m" euiInputGroup>
          <label euiLabel euiRequired for="name" [innerHTML]="'app.details.eDelivery.label.name' | translate"></label>
          <input
            euiInputText
            formControlName="name"
            id="name"
            placeholder="{{ 'app.details.eDelivery.label.namePlaceholder' | translate }}" />
          <app-form-err-msg
            [condition]="
              eDeliveryForm.controls.name.touched && eDeliveryForm.controls.name.errors && eDeliveryForm.controls.name.errors['required']
            "
            [messageKey]="'app.flow.2.step.0.error.requiredNameField'">
          </app-form-err-msg>
          <app-form-err-msg
            [condition]="
              eDeliveryForm.controls.name.touched &&
              eDeliveryForm.controls.name.errors &&
              eDeliveryForm.controls.name.errors['DUPLICATE_NAME']
            "
            [messageKey]="'app.flow.2.step.0.error.duplicateName'">
          </app-form-err-msg>
        </div>
      </div>

      <div class="form-w-line eui-u-mt-s">
        <div class="form-comp-m" euiInputGroup>
          <label euiLabel euiRequired for="schemeId">{{ 'app.details.eDelivery.label.scheme' | translate }}</label>
          <select euiSelect placeholder="{{ 'app.common.filter.idScheme' | translate }}" formControlName="schemeId" name="schemeId">
            <option [ngValue]="item.id" *ngFor="let item of idSchemes">{{ item.text }} </option>
          </select>
          <app-form-err-msg
            [condition]="
              eDeliveryForm.controls.schemeId.touched &&
              eDeliveryForm.controls.schemeId.errors &&
              eDeliveryForm.controls.schemeId.errors['required']
            "
            [messageKey]="'app.flow.2.step.0.error.requiredSchemeIdField'">
          </app-form-err-msg>
        </div>
      </div>
      <div class="form-w-line eui-u-mt-s">
        <div class="form-comp-m" euiInputGroup>
          <div class="eui-u-flex">
            <label euiLabel euiRequired for="identifier" class="eui-u-f-bold">{{
              'app.details.eDelivery.label.identifier' | translate
            }}</label>
          </div>
          <input
            [class.eui-input-text--invalid]="
              eDeliveryForm.controls.schemeId.touched &&
              eDeliveryForm.controls.schemeId.errors &&
              eDeliveryForm.controls.schemeId.errors['INVALID_IDENTIFIER_AND_SCHEME']
            "
            euiInputText
            formControlName="identifier"
            id="identifier"
            placeholder="{{ 'app.details.eDelivery.label.identifierPlaceholder' | translate }}" />
          <app-form-err-msg
            [condition]="
              eDeliveryForm.controls.identifier.touched &&
              eDeliveryForm.controls.identifier.errors &&
              eDeliveryForm.controls.identifier.errors['required']
            "
            [messageKey]="'app.flow.2.step.0.error.requiredIdentifierField'">
          </app-form-err-msg>
        </div>
      </div>
      <app-form-err-msg
        [condition]="
          eDeliveryForm.controls.schemeId.touched &&
          eDeliveryForm.controls.schemeId.errors &&
          eDeliveryForm.controls.schemeId.errors['INVALID_IDENTIFIER_AND_SCHEME']
        "
        [messageKey]="'app.flow.2.step.0.error.combination'">
      </app-form-err-msg>
      <div class="form-w-line eui-u-mt-s">
        <div class="form-comp-m" euiInputGroup>
          <label euiLabel euiRequired [innerHTML]="'app.details.user.label.country' | translate"></label>
          <select
            euiSelect
            placeholder="{{ 'app.details.user.label.selectCountryPlaceholder' | translate }}"
            formControlName="country"
            name="country">
            <option [ngValue]="item.code" *ngFor="let item of countries">{{ item.name }} </option>
          </select>

          <app-form-err-msg
            [condition]="
              eDeliveryForm.controls.country.touched &&
              eDeliveryForm.controls.country.errors &&
              eDeliveryForm.controls.country.errors['required']
            "
            [messageKey]="'app.flow.2.step.0.error.requiredCountryField'">
          </app-form-err-msg>
        </div>
      </div>

      <div class="form-w-line eui-u-mt-s" *ngIf="eDeliveryForm.controls.id.value">
        <div class="form-comp-l" euiInputGroup>
          <label euiLabel euiRequired [innerHTML]="'app.details.eDelivery.label.status' | translate"></label>
          <div>
            <eui-slide-toggle formControlName="statusHelper" (slideToggleChange)="slideToggleChange($event)"></eui-slide-toggle>
            {{ (eDeliveryForm.controls.status.value ? 'app.data.eDelivery.status_1' : 'app.data.eDelivery.status_0') | translate }}
          </div>
        </div>
      </div>
    </form>
  </div>
</ng-container>
